/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: SmartTagRecognizer.idl,v $
 * $Revision: 1.3 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef __com_sun_star_smarttags_SmartTagRecognizer_idl__
#define __com_sun_star_smarttags_SmartTagRecognizer_idl__

//============================================================================

module com {  module sun {  module star {  module smarttags {
        interface XSmartTagRecognizer; };
}; }; };

//============================================================================

module com { module sun { module star { module smarttags {

//============================================================================

/** recognizes smart tags.

    <p>Implementations of this service are used to scan the document
       text for smart tags. Smart tags are pieces of text that can be
       associated with specific actions which are defined by
       implementations of the <type>SmartTagAction</type> service.</p>

    @since OOo 2.3.0
 */

service SmartTagRecognizer : XSmartTagRecognizer {};

//============================================================================

}; }; }; };

#endif

